Bug 856642 - RFE: Allow Distributors to be Specified as Hashes on Repository Creation
RFE: Allow Distributors to be Specified as Hashes on Repository Creation
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks: katello-v2-pulp
  Show dependency treegraph
 
Reported: 2012-09-12 10:02 EDT by Eric Helms
Modified: 2013-09-09 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:09:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Helms 2012-09-12 10:02:56 EDT
When associating a distributor with a repository via the API call, the distributor details are specified as a JSON hash of the parameters.  However, during a repository creation call, a distributor(s) must be specified as an array of arrays instead of an array of hashes.  Making distributor specification uniform across the API would increase consistency and make scripts/bindings to the API able to be consistent without having special case logic.

Current:
[["dist_1", "harness_distributor", false]]

Preferred:
[{
 "distributor_id": "dist_1",
 "distributor_type_id": "harness_distributor",
 "distributor_config": {
   "publish_dir": "/tmp/harness-publish",
   "write_files": "true"
 },
 "auto_publish": false
}]
Comment 1 Jay Dobies 2012-10-05 13:30:56 EDT
Merge pull request #95 from pulp/jdob-856642

856642 - Changed the signature for create with distributors to be

commit 022cd57d8347ce0256de445249b839f73a6897aa
Comment 2 Jeff Ortel 2012-10-05 17:43:10 EDT
build: 0.331
Comment 3 Jason Connor 2012-11-08 00:00:19 EST
This one looks good
Comment 4 Preethi Thomas 2012-11-08 08:59:57 EST
Moving to verified as per comment#3
Comment 5 Preethi Thomas 2013-01-09 12:09:04 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.